# This Makefile contains targets that are deprecated, commonly mispelled or otherwise "faulty".

################################
#####  DEPRECATED TARGETS  #####

# Deprecated since: 2024-10-18
.PHONY: serve
.PHONY: serve-%
serve-%: serve;
serve:
	@echo "The serve targets have been deprecated. Please use the new start (and stop) targets instead."
	@exit 1

#####  DEPRECATED TARGETS  #####
################################

#############################
#####  COMMON MISTAKES  #####

.PHONY: build
.PHONY: build-%
build-%: build;
build:
	@echo "No recipe for build. Did you mean compile?"
	@exit 1

#####  COMMON MISTAKES  #####
#############################